1. Georg Brandl
  2. pygments-main
  3. Issues
Issue #1358 new

Add Python 3 specialization for console lexer

PavloKapyshin
created an issue

Currently pygments.lexers.python.PythonConsoleLexer uses Python 2 by default. Python 3 support requires special handling, e.g. allowing to pass options to lexer or faking pycon3 with a conditional.

Maybe other users of pygments will also benefit from having specialization of PythonConsoleLexer that uses just Python 3—pycon3?

Comments (0)

  1. Log in to comment